#include "qpui.h"
#include "qdutil.h"
#include "qwui.h"
#include <qwindowsstyle.h>
#include <qsize.h>

extern  qwuiWindow* qsasWindow;

void QPUImakeWindow( QWidget *parent,const char* Title )
{
	if(QPUI_widget==NULL)
	{
		QPUI_widget = new QpWindow(parent);
		QSize qsasGUISize = qsasWindow->frameSize();
		QPUI_widget->adjustSize();  
		QPUI_widget->move((int)(0.6*qsasGUISize.width()), 25);

		QPUI_widget->connect(parent, SIGNAL(saveSessionRequest(QString)), QPUI_widget, SLOT(saveSession(QString)) );
		QPUI_widget->connect(parent, SIGNAL(restoreSessionRequest(QString)), QPUI_widget, SLOT(restoreSession(QString)) );
		QPUI_widget->connect(parent, SIGNAL(clearListRequest()), QPUI_widget, SLOT(deleteAllItems()) );
		QPUI_widget->connect(parent, SIGNAL(WLmodified()), QPUI_widget, SIGNAL(WLmodified()) );

		QPUI_widget->setCaption(Title);
		QPUI_widget->_filename+=QString("/saveSet");
		QPUI_widget->SAVE_EXTENSION=QString(".qs_plot");
		QPUI_widget->_filename+=QPUI_widget->SAVE_EXTENSION;
		
		QPUI_widget->resize(QSAS_profiles->current()->QpuiWidth, QSAS_profiles->current()->QpuiHeight);
	}

}

void QpuiShow()
{
    QPUI_widget->resetDefaultBtn();
    QPUI_widget->show();
}

